import 'package:flutter/foundation.dart';

class PrimitiveWrapper<T> with ChangeNotifier implements Function {
  T value;

  PrimitiveWrapper(this.value);

  void call(newVal) {
    value = newVal;
    if (hasListeners) notifyListeners();
  }

  void notify() {
    if (hasListeners) notifyListeners();
  }

  bool get hasListener {
    return hasListeners;
  }
}
