import 'package:flutter/material.dart';

class ChipModel {
  final int id;
  final Widget label;
  final bool selectedByDefault;

  const ChipModel(
      {@required this.label, this.selectedByDefault = false, this.id = -1});

  @override
  String toString() {
    return {
      'id': id,
      'selectedByDefault': selectedByDefault,
      'label': label is Text ? (label as Text).data : 'WIDGET'
    }.toString();
  }
}
